/*- Layouts -*/

.l-wrap {
	position:       relative;
	display:        flex;
	flex-direction: column;
	min-height:     100vh;
	min-width:      320px;
	width:          100%;
	max-width:      100vw;
	overflow:       hidden;
}

.l-inner {
	flex: 1 1 auto;
}

body.admin-bar .l-wrap {
	min-height: calc(100vh - 32px);
}

.l-section {
	position:  relative;
	width:     100%;
	clear:     both;
	min-width: 320px;
}

.l-section--padding,
.l-section__padding {
	width:         100%;
	padding-left:  15px;
	padding-right: 15px;
}

.l-section--multicol {
	display:     flex;
	flex-wrap:   nowrap;
	align-items: flex-start;
}

.l-section--top-margin {
	margin-top: 45px;
}

.l-section--top-margin-60 {
	margin-top: 60px;
}

.l-section--top-margin-70 {
	margin-top: 60px;
}

.l-section--top-margin-80 {
	margin-top: 60px;
}

.l-section--bottom-margin {
	margin-bottom: 70px;
}

.l-section--bottom-margin--60 {
	margin-bottom: 60px;
}

.l-section--top-margin-minus {
	margin-top: -165px;
}

.l-section__container--relative {
	position: relative;
}

.l-section--container .l-section--container,
.l-section--container .l-section__container,
.l-section__container .l-section__container,
.l-section__container .l-section--container,
.l-section--container .elementor-section.elementor-section-boxed:not(.elementor-inner-section) > .elementor-container,
.l-section__container .elementor-section.elementor-section-boxed:not(.elementor-inner-section) > .elementor-container,
.l-section--container .e-con-boxed,
.l-section__container .e-con-boxed,
.l-section--container-wide .l-section--container-wide,
.l-section--container-wide .l-section__container-wide,
.l-section__container-wide .l-section__container-wide,
.l-section__container-wide .l-section--container-wide,
.l-section--container-wide .elementor-section.elementor-section-boxed:not(.elementor-inner-section) > .elementor-container,
.l-section__container-wide .elementor-section.elementor-section-boxed:not(.elementor-inner-section) > .elementor-container,
.l-section--container-wide .e-con-boxed,
.l-section__container-wide .e-con-boxed,
.e-con-boxed .l-section--container-wide,
.e-con-boxed .l-section__container-wide,
.e-con-boxed .l-section--container,
.e-con-boxed .l-section__container,
.elementor-section-boxed .l-section--container-wide,
.elementor-section-boxed .l-section__container-wide,
.elementor-section-boxed .l-section--container,
.elementor-section-boxed .l-section__container {
	padding-left:  0 !important;
	padding-right: 0 !important;
}

.e-con-boxed .e-con-boxed {
	padding-left:  0 !important;
	padding-right: 0 !important;
	margin-left:   0 !important;
	margin-right:  0 !important;
	width:         100% !important;
}

/*-- Layouts (Desktop) --*/

@media (min-width: 1250px) {
	.l-section--container-wide,
	.l-section__container-wide {
		width:         1680px;
		max-width:     100%;
		margin-left:   auto;
		margin-right:  auto;
		padding-left:  70px;
		padding-right: 70px;
	}
}

@media (min-width: 1190px) {

	.l-section__sidebar {
		flex:         0 0 auto;
		width:        260px;
		margin-right: 40px;
	}

	.h-rtl .l-section__sidebar {
		margin-right: 0;
		margin-left:  40px;
	}

	.l-section__sidebar--right {
		margin-right: 0;
		margin-left:  40px;
	}

	.h-rtl .l-section__sidebar--right {
		margin-right: 40px;
		margin-left:  0;
	}

	.l-section__content--with-sidebar {
		flex:      1 1 auto;
		min-width: 860px;
	}

	.l-section--container,
	.l-section__container {
		width:        1160px;
		margin-left:  auto;
		margin-right: auto;
	}

	.l-section--with-sidebar {
		display:   flex;
		flex-wrap: nowrap;
	}
}

/*-- Layouts (Mobile) --*/

@media (max-width: 1249px) {
	.l-section--container-wide,
	.l-section__container-wide {
		width:         100%;
		padding-left:  30px;
		padding-right: 30px;
	}
}

@media (max-width: 1189px) {

	.l-section--top-margin-minus {
		margin-top:    -145px;
		margin-bottom: 0;
	}

	.l-section--white {
		background-color: white;
	}

	@media (min-width: 768px) {
		.l-section--white.l-section--checkout {
			background-color: var(--background-color);
		}
	}

	.l-section--white.l-section--top-margin {
		padding-top: 45px;
		margin-top:  0;
	}

	.l-section--white.l-section--top-margin-60 {
		padding-top: 60px;
		margin-top:  0;
	}

	.l-section--white.l-section--top-margin-70 {
		padding-top: 60px;
		margin-top:  0;
	}

	.l-section--white.l-section--top-margin-80 {
		padding-top: 60px;
		margin-top:  0;
	}

	.l-section--white.l-section--bottom-margin {
		padding-bottom: 70px;
		margin-bottom:  0;
	}

	.l-section--white.l-section--bottom-margin--60 {
		padding-bottom: 70px;
		margin-bottom:  0;
	}

	.l-section--with-sidebar {
		display:        flex;
		flex-direction: column;
	}

	.l-section--container,
	.l-section__container,
	.elementor-section.elementor-section-boxed:not(.elementor-inner-section) > .elementor-container,
	.e-con-boxed {
		width:         100%;
		padding-left:  30px;
		padding-right: 30px;
	}

	.l-section__sidebar {
		position: relative;
		overflow: hidden;
	}

	.l-section__sidebar--right {
		margin-top: 95px;
	}

	.l-section__sidebar--left {
		order:      3;
		margin-top: 70px;
	}

	.l-section__sidebar--popup {
		margin: 0;
	}

	.l-section__content--with-sidebar {
		margin-left:  auto;
		margin-right: auto;
		width:        100%;
	}

	.l-section--margin-120 {
		margin-top:    60px;
		margin-bottom: 60px;
	}
}

@media (max-width: 782px) {
	body.admin-bar .l-wrap {
		min-height: calc(100vh - 46px);
	}
}
/*- Empty Cart -*/

.c-cart-empty {
    background-color: white;
    padding:          90px 60px;
    color:            var(--text-color-light);
    font-weight:      300;
    font-size:        13px;
    line-height:      24px;
    letter-spacing:   0.025em;
    text-align:       center;
}

.c-cart-empty__icon {
    width:       90px;
    height:      90px;
    font-size:   90px;
    line-height: 1;
}

.c-cart-empty__image {
    max-width: 100%;
    height:    auto;
}

.c-cart-empty__header {
    margin-top:     45px;
    font-family:    var(--font-header);
    font-weight:    normal;
    font-size:      21px;
    line-height:    28px;
    text-align:     center;
    letter-spacing: 0.2em;
    text-transform: uppercase;
    max-width:      800px;
    margin-left:    auto;
    margin-right:   auto;
    color:          var(--text-color);
}

.c-cart-empty__backward {
    display:    inline-block;
    margin-top: 55px;
}

.c-cart-empty__note {
    margin-top:    20px;
    margin-bottom: -30px;
    color:         var(--text-color);
}

.c-cart-empty__wishlist {
    vertical-align: middle;
}

.c-cart-empty__try {
    margin-top:    20px;
    margin-bottom: 0;
    color:         var(--text-color);
}

.c-cart-empty__search {
    display:    inline-block;
    margin-top: 40px;
    max-width:  100%;
    width:      400px;
}

/*-- Empty Cart (Mobile) --*/

@media (max-width: 500px) {
    .c-cart-empty {
        padding: 0;
    }
}
/*- Cart -*/

.c-cart {
	color: var(--text-color-light);
}

.c-cart a:not(.c-button) {
	text-underline-position: under !important;
	-webkit-text-decoration-color:   var(--text-color-extra-light) !important;
	        text-decoration-color:   var(--text-color-extra-light) !important;
}

.c-cart .c-product__quantity {
	margin-right: 0;
}

.c-cart .c-product__quantity > * {
	width:  40px !important;
	height: 40px !important;
}

.c-cart input.c-product__quantity-value {
	background-color: white;
}

.c-cart__wrap {
	width:    100%;
	display:  flex;
	position: relative;
}

.c-cart__col-1 {
	flex: 1 1 auto;
}

.c-cart__col-2 {
	flex:      0 0 auto;
	width:     400px;
	max-width: 100%;
}

.c-cart__shop-table,
.c-cart__totals-table {
	border-spacing:  0;
	border-collapse: separate;
	width:           100%;
}

.c-cart__shop-tr {
	position: relative;
}

.c-cart__shop-tr--border td,
.c-cart__shop-tr--border th {
	border-bottom: solid 1px var(--text-color-extra-light);
}

.c-cart__shop-th,
.c-cart__totals-th {
	font-weight:    normal;
	text-align:     left;
	font-size:      11px;
	line-height:    16px;
	letter-spacing: 0.04em;
	text-transform: uppercase;
	padding-bottom: 10px;
	border-bottom:  solid 1px var(--background-color-dark);
}

.h-rtl .c-cart__shop-th,
.h-rtl .c-cart__totals-th {
	text-align: right;
}

.c-cart__totals-th--product-total {
	text-align: right;
}

.h-rtl .c-cart__totals-th--product-total {
	text-align: left;
}

.c-cart__shop-thead .c-cart__shop-th {
	font-size:    12px;
	border-color: var(--text-color-extra-light);
}

.c-cart__totals-th {
	padding-top:    20px;
	padding-bottom: 9px;
}

.c-cart__shop-td--product-subtotal .amount {
	display: block;
}

.c-cart__shop-th--product-total,
.c-cart__shop-td--product-total,
.c-cart__shop-td--right {
	text-align: right;
}

.h-rtl .c-cart__shop-th--product-total,
.h-rtl .c-cart__shop-td--product-total,
.h-rtl .c-cart__shop-td--right {
	text-align: left;
}

.c-cart__shop-td--product-quantity {
	text-align: center;
}

.c-cart__shop-td--left {
	text-align: left;
}

.h-rtl .c-cart__shop-td--left {
	text-align: right;
}

.c-cart__item-price {
	font-family:    var(--font-text);
	font-style:     normal;
	font-weight:    300;
	font-size:      13px;
	line-height:    24px;
	letter-spacing: 0.025em;
}

.c-cart__item-out-of-stock {
	display:          inline-block;
	margin-left:      10px;
	background-color: var(--badge-bgcolor-outofstock);
	color:            white;
	padding:          3px 7px 3px 8px;
	text-transform:   uppercase;
	font-style:       normal;
	font-weight:      500;
	font-size:        10px;
	line-height:      11px;
	letter-spacing:   0.15em;
	text-align:       center;
	margin-bottom:    5px;
	vertical-align:   middle;
}

.c-cart__shop-td {
	padding: 13px 0;
}

.h-ltr .c-cart__shop-td {
	padding-right: 25px;
}

.h-rtl .c-cart__shop-td {
	padding-left: 25px;
}

.h-ltr .c-cart__shop-td:last-child {
	padding-right: 0;
	text-align:    right;
}

.h-ltr .c-cart__shop-th:last-child {
	padding-right: 0;
	text-align:    right;
}

.h-rtl .c-cart__shop-td:last-child {
	padding-left: 0;
	text-align:   left;
}

.h-rtl .c-cart__shop-th:last-child {
	padding-left: 0;
	text-align:   left;
}

.c-cart__shop-td-space {
	padding: 10px;
}

.c-cart__shop-td .variation {
	display:      inline-block !important;
	margin-right: 11px;
}

.c-cart__shop-td--product-thumbnail {
	position: relative;
	width:    70px;
}

.h-ltr .c-cart__shop-td--product-thumbnail {
	padding-right: 15px;
	padding-left:  0;
}

.h-rtl .c-cart__shop-td--product-thumbnail {
	padding-left:  15px;
	padding-right: 0;
}

.c-cart__shop-td--product-name {
	width:          75%;
	font-family:    var(--font-header);
	font-weight:    normal;
	font-size:      11px;
	line-height:    16px;
	letter-spacing: 0.12em;
	text-transform: uppercase;
	color:          var(--text-color);
}

.c-cart__shop-td--product-normal {
	width: unset;
}

.c-cart__shop-td--product-name > a {
	display: block;
}

.c-cart__shop-td--product-price {
	font-style:     normal;
	font-weight:    500;
	font-size:      15px;
	line-height:    30px;
	letter-spacing: 0.05em;
	text-transform: uppercase;
	color:          var(--text-color);
}

.c-cart__shop-td--product-price del {
	opacity:      0.3;
	margin-right: 3px;
}

.c-cart__shop-td--product-price ins {
	text-decoration: none;
}

.c-cart__shop-th--product-price,
.c-cart__shop-td--product-price,
.c-cart__shop-th--product-stock,
.c-cart__shop-td--product-stock {
	text-align:    center;
	padding-right: 25px;
}

.h-rtl .c-cart__shop-th--product-price,
.h-rtl .c-cart__shop-td--product-price,
.h-rtl .c-cart__shop-th--product-stock,
.h-rtl .c-cart__shop-td--product-stock {
	text-align:    center;
	padding-right: unset;
	padding-left:  25px;
}

.c-cart__shop-td--product-stock {
	font-weight:    500;
	font-size:      14px;
	line-height:    30px;
	letter-spacing: 0.05em;
	text-transform: uppercase;
}

.c-cart__shop-th--product-quantity {
	text-align:    center;
	padding-right: 25px;
}

.c-cart__shop-td--actions {
	padding:     30px 0 0 0;
	text-align:  right;
	position:    relative;
	white-space: nowrap;
	border-top:  solid 1px var(--text-color-extra-light);
}

.c-cart__shop-remove-icon {
	color:            var(--text-color-light);
	position:         absolute;
	display:          block;
	width:            8px;
	height:           8px;
	font-size:        8px;
	line-height:      1;
	left:             -18px;
	top:              50%;
	margin-top:       -4px;
	transform-origin: center center;
	opacity:          0;
	visibility:       hidden;
	transition:       var(--opacity-transform-transition);
}

.h-rtl .c-cart__shop-remove-icon {
	left:  unset;
	right: -18px;
}

.c-cart__shop-remove-icon:after {
	content:  '';
	display:  block;
	position: absolute;
	left:     -10px;
	right:    -10px;
	top:      -10px;
	bottom:   -10px;
}

.c-cart__shop-variation {
	display:   block;
	font-size: 14px;
}

.c-cart__collaterals {
	padding:          25px 40px 40px 40px;
	position:         relative;
	font-weight:      300;
	font-size:        13px;
	line-height:      24px;
	letter-spacing:   0.025em;
	background-color: white;
}

.blockUI.blockOverlay {
	background-color: var(--background-color) !important;
	z-index:          95 !important;
}

.widget_shopping_cart_content .blockUI.blockOverlay,
.c-product__atc-wrap .blockUI.blockOverlay {
	background-color: white !important;
}

.c-cart__collaterals .blockUI.blockOverlay {
	z-index: 20 !important;
	width:   auto !important;
	height:  auto !important;
	left:    -40px !important;
	top:     -46px !important;
	right:   -40px !important;
	bottom:  -40px !important;
}

.c-form__terms-and-conditions {
	margin-top: 27px !important;
}

.c-cart__collaterals:after {
	content:             '';
	display:             block;
	position:            absolute;
	left:                0;
	top:                 100%;
	width:               100%;
	height:              8px;
	background-repeat:   repeat-x;
	background-position: top left;
}

.c-cart__shop-update {
	display:  inline-block;
	position: relative;
}


.c-cart__shop-update-svg {
	position:       absolute;
	left:           0;
	top:            3px;
	width:          17px;
	height:         17px;
	pointer-events: none;
}

.c-cart__coupon-header {
	text-align:     left;
	font-size:      13px;
	line-height:    18px;
	letter-spacing: 0.06em;
	text-transform: uppercase;
	position:       relative;
}

.h-rtl .c-cart__coupon-header {
	text-align: right;
}

.c-cart__sub-header,
.c-cart__header,
.c-cart__col-1--checkout h3 {
	font-weight:    500;
	font-size:      16px;
	line-height:    25px;
	letter-spacing: 0.17em;
	text-transform: uppercase;
	text-align:     left;
	color:          var(--text-color);
}

.h-rtl .c-cart__sub-header,
.h-rtl .c-cart__header,
.h-rtl .c-cart__col-1--checkout h3 {
	text-align: right;
}

.c-cart__sub-sub-header {
	font-weight:    normal;
	font-size:      12px;
	line-height:    16px;
	letter-spacing: 0.04em;
	text-transform: uppercase;
	text-align:     left;
}

.h-rtl .c-cart__sub-sub-header {
	text-align: right;
}

.c-cart__select-icon {
	display:          block;
	position:         absolute;
	right:            0;
	top:              50%;
	margin-top:       -3px;
	font-size:        6px;
	height:           6px;
	line-height:      1;
	transform-origin: center center;
	transition:       transform 0.3s linear;
}

.h-rtl .c-cart__select-icon {
	left:  0;
	right: unset;
}

.c-cart__select-icon--opened {
	transform: rotate(-180deg);
}

.c-cart__coupon {
	position:       relative;
	padding-bottom: 25px;
	margin-bottom:  21px;
}

.c-cart__coupon:after {
	content:       '';
	display:       block;
	position:      absolute;
	left:          -40px;
	right:         -40px;
	bottom:        0;
	border-bottom: solid 1px var(--background-color-dark);
}

.c-cart__coupon-from-wrap {
	max-height: 0;
	overflow:   hidden;
	transition: max-height 0.3s linear;
}

.c-cart__coupon-from-wrap--opened {
	max-height: 150px;
}

.c-cart__coupon-form {
	padding-top: 25px;
	display:     flex;
	align-items: center;
}

.c-cart__calculator-update-wrap {
	text-align: right;
}

.c-cart__customer-details {
	padding:          40px 50px;
	background-color: white;
}

.c-cart__totals-td {
	padding:  0;
	position: relative;
}

.c-cart__collaterals .woocommerce-remove-coupon,
.c-cart__collaterals .tax_label,
.c-cart__collaterals .includes_tax,
.c-cart__shop-table .tax_label {
	display:     block;
	font-weight: normal;
	font-size:   12px;
}

.c-cart__collaterals .woocommerce-privacy-policy-text {
	margin-top: 20px;
}

.c-cart__collaterals .woocommerce-privacy-policy-text > :first-child {
	margin-top: 0;
}

.c-cart__collaterals .woocommerce-privacy-policy-text > :last-child {
	margin-bottom: 0;
}

.c-cart__collaterals .woocommerce-privacy-policy-text a,
.c-cart__collaterals .woocommerce-privacy-policy-text a:hover {
	text-decoration: underline;
}

.c-cart__payment-methods a,
.c-cart__payment-methods a:hover {
	text-decoration: underline;
}

.c-cart__shop-table .tax_label {
	margin-top: 0;
}

.c-cart__shipping-methods-label .tax_label {
	position:   absolute;
	right:      0;
	margin-top: 21px;
}

.c-cart__totals-price {
	position:       relative;
	text-align:     right;
	font-weight:    500;
	font-size:      15px;
	line-height:    30px;
	letter-spacing: 0.05em;
	text-transform: uppercase;
	color:          var(--text-color);
}

.h-rtl .c-cart__totals-price {
	text-align: left;
}

.c-cart__totals-price .amount {
	white-space: nowrap;
}

.c-cart__totals-price--total strong .amount {
	font-weight:    500;
	font-size:      20px;
	line-height:    25px;
	text-align:     right;
	letter-spacing: 0.02em;
	text-transform: uppercase;
}

.h-rtl .c-cart__totals-price--total strong .amount {
	text-align: left;
}

.c-cart__shipping-destination {
	margin-top: 25px;
}

.c-cart__shipping-methods,
.c-cart__payment-methods {
	list-style: none;
	padding:    0;
	margin:     0;
}

.c-cart__payment-methods .woocommerce-notice {
	padding:        0;
	font-style:     normal;
	font-weight:    400;
	font-size:      13px;
	line-height:    24px;
	letter-spacing: 0.025em;
	color:          var(--text-color);
}

.c-cart__payment-methods > li,
.c-cart__shipping-methods-item {
	display:    flex;
	flex-wrap:  wrap;
	margin-top: 20px;
}

.c-cart__shipping-methods-label {
	display: flex;
}

.c-cart__shipping-methods-label .amount {
	display:        inline-block;
	margin-left:    auto;
	padding-left:   25px;
	font-weight:    500;
	font-size:      15px;
	line-height:    30px;
	text-align:     right;
	letter-spacing: 0.05em;
	text-transform: uppercase;
	color:          var(--text-color);
}

.h-rtl .c-cart__shipping-methods-label .amount {
	text-align:    left;
	margin-left:   unset;
	margin-right:  auto;
	padding-left:  0;
	padding-right: 25px;
}

.c-cart__payment-methods-box {
	padding-left: 32px;
	font-size:    12px;
	line-height:  18px;
	margin-top:   5px;
	flex:         1 1 auto;
}

.c-cart__payment-methods-box > :first-child {
	margin-top: 0;
}

.c-cart__payment-methods-box > :last-child {
	margin-bottom: 0;
}

.c-cart__shipping-method-radio,
.c-cart__payment-method-radio {
	flex:        0 0 auto;
	white-space: nowrap;
	position:    relative;
	margin-top:  3px !important;
}

.h-ltr .c-cart__shipping-method-radio,
.h-ltr .c-cart__payment-method-radio {
	margin-right: 14px;
}

.h-rtl .c-cart__shipping-method-radio,
.h-rtl .c-cart__payment-method-radio {
	margin-left: 14px;
}

.c-cart__payment-methods-title,
.c-cart__shipping-methods-label {
	flex:        1 1 auto;
	color:       var(--text-color);
	width:       calc(100% - 32px);
	display:     flex;
	align-items: flex-start;
}

.c-cart__payment-methods-title {
	flex-direction: column;
}

.c-cart__payment-methods-title img,
.c-cart__shipping-methods-label img {
	max-width: 100%;
}

.c-cart__payment-methods-title .about_paypal {
	color: var(--text-color-light);
}

.c-cart__shipping-calculator-button,
.c-cart__shipping-calculator-button:hover {
	font-size:       12px;
	text-decoration: underline;
}

.c-cart__payment-method-radio {
	display: inline-block !important;
}

.c-cart__totals-space {
	padding:  20px 0;
	position: relative;
}

.c-cart__totals-space--hr:after {
	content:    '';
	display:    block;
	position:   absolute;
	left:       -40px;
	right:      -40px;
	top:        50%;
	border-top: solid 1px var(--background-color-dark);
}

.c-cart__totals-product-space {
	padding: 9px 0;
}

.c-cart__totals-action {
	text-align: right;
}

.c-cart__totals-product-name {
	font-family:    var(--font-header);
	font-style:     normal;
	font-weight:    normal;
	font-size:      10px;
	line-height:    16px;
	letter-spacing: 0.1em;
	text-transform: uppercase;
	color:          var(--text-color);
}

.c-cart__shop-brand,
.c-cart .variation {
	text-transform: none;
	display:        block;
	margin:         2px 0 0 0;
	padding:        0;
	font-family:    var(--font-text);
	font-weight:    300;
	font-size:      13px;
	line-height:    24px;
	letter-spacing: 0.025em;
	color:          var(--text-color-light);
}

.c-cart .variation * {
	display: inline;
	margin:  0;
	padding: 0;
}

.c-cart .variation dd + dt:before {
	content:        'â€¢';
	display:        inline-block;
	vertical-align: middle;
	margin-left:    6px;
	margin-right:   10px;
}

.c-cart .variation dd {
}

.c-cart__totals-product-quantity {
	font-weight: normal;
	white-space: nowrap;
}

.c-cart__totals-product {
	font-size: 14px;
}

.c-cart__place-order {
	display:        flex;
	flex-direction: column;
	align-items:    flex-start;
}

.c-cart__place-order-btn {
	margin-top: 37px;
}

.c-cart__checkout-btn {
	margin-top: 25px;
}

.c-cart .form-row {
	margin-bottom: 0;
	margin-top:    10px;
}

.c-cart .woocommerce-terms-and-conditions {
	padding:               15px;
	margin-top:            25px;
	background-color:      var(--background-color-light);
	color:                 var(--text-color);
	border-radius:         2px;
}

.c-cart .woocommerce-terms-and-conditions-link {
	text-decoration: underline;
}

.c-cart__form label {
	display:        block;
	padding-bottom: 6px;
	font-style:     normal;
	font-weight:    300;
	font-size:      13px;
	line-height:    24px;
	letter-spacing: 0.025em;
}

.c-cart__form .required {
	text-decoration: none;
	color:           darkred;
}

.c-cart__form .form-row {
	margin-top:    0;
	margin-bottom: 10px;
	clear:         right;
}

.c-cart__billing-fields {
	margin-top: 15px;
}

.c-cart__shipping-fields {
	margin-top: 15px;
}

.c-cart__additional-fields {
	margin-top: 15px;
}

.c-cart__form--shipping-fields {
	margin-top: 45px;
}

.c-cart__form--additional-fields {
	margin-top: 25px;
}

.c-cart__thumbnail-thumb {
	max-width:       unset;
	width:           66px !important;
	-o-object-position: center;
	   object-position: center;
	-o-object-fit:      cover;
	   object-fit:      cover;
	display:         block;
}

.c-cart__thumbnail-thumb--cover {
	height: 50px !important;
}

.c-cart__thumbnail-thumb--contain {
	height: calc(66px * var(--image-grid-prop-k)) !important;
}

.h-rtl input.c-cart__shop-update-button {
	text-align: center !important;
}

.c-cart__shop-update-button--auto {
	opacity:    0 !important;
	visibility: hidden !important;
	position:   absolute !important;
	z-index:    -1;
}

.c-cart__review-order,
.c-cart__totals {
	position: relative;
	z-index:  1;
}

.c-cart__collaterals fieldset {
	padding: 0;
	margin: 0;
	border:none;
}

.c-cart__collaterals [class$="-payment-request-wrapper"],
.c-cart__collaterals [id$="-payment-request-wrapper"] {
	margin-top: 20px;
}

/*-- Cart (Desktop) --*/

@media (min-width: 1024px) {
	.h-ltr .c-cart__col-2 {
		margin-left: 60px;
	}

	.h-rtl .c-cart__col-2 {
		margin-right: 60px;
	}

	.h-ltr .c-cart__form .form-row-first {
		float:         left;
		width:         50%;
		padding-right: 15px;
	}

	.h-rtl .c-cart__form .form-row-first {
		float:        right;
		width:        50%;
		padding-left: 15px;
	}

	.h-ltr .c-cart__form .form-row-last {
		float:        right;
		width:        50%;
		padding-left: 15px;
	}

	.h-rtl .c-cart__form .form-row-last {
		float:         left;
		width:         50%;
		padding-right: 15px;
	}

	.c-cart input.c-product__quantity-value {
		width: 50px;
	}

	.c-cart a:not(.c-button):hover {
		color: var(--text-color);
	}

	.c-cart__shop-remove-icon:hover {
		transform: scale(2, 2);
	}

	.c-cart__shop-tr:hover .c-cart__shop-remove-icon {
		opacity:    1;
		visibility: visible;
	}

	.c-cart__shop-td--product-thumbnail:before {
		content:  '';
		display:  block;
		position: absolute;
		top:      0;
		bottom:   0;
		right:    100%;
		width:    28px;
	}

	.h-rtl .c-cart__shop-td--product-thumbnail:before {
		right: unset;
		left:  100%;
	}
}

@media (min-width: 768px) {
	.h-ltr .c-cart__col-2 {
		margin-left: 60px;
	}

	.h-rtl .c-cart__col-2 {
		margin-right: 60px;
	}
}

@media (max-width: 1023px) and (min-width: 768px) {
	.h-ltr .c-cart__col-2 {
		margin-left: 30px;
	}

	.h-rtl .c-cart__col-2 {
		margin-right: 30px;
	}

	.c-cart__col-2 {
		width: 339px;
	}
}

/*-- Cart (Mobile) --*/

@media (max-width: 1023px) {
	.c-cart__shop-td--actions {
		border: none;
	}

	.c-cart__shop-table,
	.c-cart__shop-thead,
	.c-cart__shop-tbody {
		display: block;
		width:   100%;
	}

	.c-cart__shop-thead > tr {
		display: flex;
	}

	.c-cart__shop-td {
		padding: 0 !important;
	}

	.c-cart__shop-th--product-name {
		flex: 1 1 auto;
	}

	.c-cart__shop-th--product-quantity {
		display: none;
	}

	.c-cart__shop-td--product-thumbnail {
		position: absolute;
		left:     0;
		top:      5px;
		height:   100%;
		width:    66px !important;
	}

	.h-rtl .c-cart__shop-td--product-thumbnail {
		left:  unset;
		right: 0;
	}

	.c-cart__shop-remove-icon {
		width:       9px;
		height:      9px;
		font-size:   9px;
		line-height: 1;
		left:        50%;
		right:       unset;
		top:         unset;
		bottom:      41px;
		margin-top:  0;
		margin-left: -4.5px;
	}

	.h-rtl .c-cart__shop-remove-icon {
		left:        50%;
		margin-left: -4.5px;
		right:       unset;
	}

	.c-cart__shop-td--product-name {
		margin-bottom: 22px;
	}

	.c-cart__shop-td--product-quantity {
		flex:       0 0 auto !important;
		width:      unset !important;
		text-align: left;
	}

	.h-rtl .c-cart__shop-td--product-quantity {
		text-align: right;
	}

	.c-cart__shop-td--product-subtotal {
		width: unset !important;
	}

	.c-cart__shop-tr:not(.c-cart__shop-tr--space):not(.c-cart__shop-tr--actions) {
		position:       relative;
		display:        flex;
		width:          100%;
		flex-wrap:      wrap;
		padding-left:   86px;
		align-items:    center;
		padding-bottom: 20px;
		margin-bottom:  15px;
		border-bottom:  solid 1px var(--text-color-extra-light);
	}

	.h-rtl .c-cart__shop-tr:not(.c-cart__shop-tr--space):not(.c-cart__shop-tr--actions) {
		padding-left:  0;
		padding-right: 86px;
	}

	.c-cart__shop-tr--space {
		display: block;
		height:  25px;
	}

	.c-cart__shop-tr--actions {
		display: block;
	}

	.c-cart__shop-tr > * {
		display: block;
		flex:    1 1 auto;
		width:   100%;
	}

	.c-cart__shop-remove-icon {
		opacity:    1;
		visibility: visible;
	}
}

@media (max-width: 767px) {
	.c-cart__wrap {
		flex-direction: column;
		align-items:    center;
	}

	.c-cart__col-1 {
		max-width: 400px;
		width:     100%;
	}

	.c-cart__col-2 {
		margin-top:    70px;
		margin-bottom: 30px;
		position:      relative;
		z-index:       1;
	}

	.c-cart__col-2 .c-cart__totals,
	.c-cart__col-2 .c-cart__collaterals {
		overflow: hidden;
	}

	.c-cart__col-2:before {
		content:          '';
		display:          block;
		position:         absolute;
		left:             -30px;
		right:            -30px;
		top:              -30px;
		bottom:           -30px;
		background-color: white;
		z-index:          0;
	}

	.c-cart__collaterals {
		padding: 0;
	}

	.blockUI.blockOverlay {
		background-color: white !important;
		z-index:          95 !important;
	}

	.woocommerce-cart-form .blockUI.blockOverlay {
		background-color: var(--background-color) !important;
	}

	.c-cart__customer-details {
		padding: 0;
	}

	.c-cart__shop-update {
		display: block;
	}
}

@media (max-width: 359px) {
	.c-cart .c-product__quantity-minus,
	.c-cart .c-product__quantity-plus {
		display: none !important;
	}

	.c-cart .c-product__quantity {
		width: auto !important;
	}
}
input.c-product__quantity-value, input.c-product__quantity-value:focus
 {
    font-weight: 400;
    order: 2;
    background-color: var(--background-color);
    border: none;
    outline: none;
    padding-left: 5px !important;
    padding-right: 5px !important;
    font-size: 14px;
    line-height: 1;
    -moz-appearance: textfield !important;
    -webkit-appearance: none;
    appearance: none;
}
.c-product__quantity-minus {
    order: 1;
    color: var(--button-color);
    border: solid 1px currentColor;
    font-size: 12px;
    line-height: 1;
    cursor: pointer;
}
.c-product__quantity-plus {
    order: 3;
    color: var(--button-color);
    border: solid 1px currentColor;
    font-size: 12px;
    line-height: 1;
    cursor: pointer;
}
.c-product__quantity {
	display:      inline-flex;
	flex-wrap:    nowrap;
	margin-right: 14px;
}

.h-rtl .c-product__quantity {
	margin-right: 0;
	margin-left:  14px;
}

.c-product .c-product__quantity {
	height: 50px;
}

.c-product__quantity.hidden {
	margin-left:  0 !important;
	margin-right: 0 !important;
}

.c-product__quantity > * {
	flex:        0 0 auto;
	width:       50px;
	height:      50px;
	line-height: 50px;
	text-align:  center !important;
}
/*-- Forms Elements (Desktop) --*/
@media (min-width: 1190px) {
	.c-button:hover {
		background-color: var(--button-color-light);
		border-color:     var(--button-color-light);
	}
}

.c-button {
	display:            inline-block;
	outline:            none;
	font-weight:        400;
	font-size:          12px;
	line-height:        1.2;
	text-align:         center;
	/*letter-spacing:     0.265em;*/
	text-indent:        0.265em;
	text-transform:     uppercase;
	padding:            8px 12px;
	color:              var(--button-white-color);
	border:             solid 1px var(--button-color);
	text-decoration:    none !important;
	background-color:   var(--button-color);
	-webkit-appearance: none;
	-moz-appearance:    none;
	appearance:         none;
	cursor:             pointer;
}

.c-button--full,
.c-form__input--full,
.c-form__textarea--full,
.comment-form .submit,
.comment-form textarea,
.comment-form input[type=text],
.comment-form input[type=tel],
.comment-form input[type=password],
.comment-form input[type=number],
.comment-form input[type=url],
.comment-form input[type=email],
.wpcf7-form input[type=text],
.wpcf7-form input[type=tel],
.wpcf7-form input[type=password],
.wpcf7-form input[type=number],
.wpcf7-form input[type=url],
.wpcf7-form input[type=email],
.wpcf7-form select,
.wpcf7-form textarea,
.c-account input[type=text],
.c-account input[type=tel],
.c-account input[type=password],
.c-account input[type=number],
.c-account input[type=url],
.c-account input[type=email],
.c-account textarea,
.c-account select,
.woocommerce-ResetPassword input[type=text],
.woocommerce-ResetPassword input[type=password],
.woocommerce-button,
.c-sidebar .wc-block-product-search .wc-block-product-search__button,
.c-sidebar .wc-block-grid__product-add-to-cart.wp-block-button .wp-block-button__link,
.c-sidebar .wp-block-button__link,
.c-sidebar .wp-block-buttons>.wp-block-button.has-custom-font-size .wp-block-button__link {
	width: 100%;
}
.c-button--big {
	font-size:      14px;
	letter-spacing: 0.185em;
	padding-top:    21px;
	padding-bottom: 21px;
}